2019-01-16 17:19 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002081NetSurfABENDpublic2015-03-10 23:43
ReporterRichard Porter 
Assigned ToJohn-Mark Bell 
SeveritycrashReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version3.1 
Target VersionFixed in Version3.3 
Summary0002081: Segmentation Fault
DescriptionNS crashed after clicking on a link to the problem page in an email messahe open in Messenger Pro. NS was already loaded.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #1740
URL of problem pagehttps://www.gov.uk/government/publications/organisation-review-of-rail-final-report
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000252

Vincent Sanders (administrator)

last lines in log are

(22953.160000) render/html_css.c html_convert_css_callback 103: done stylesheet slot 2 'file:///NetSurf:/Resources/AdBlock'
(22953.160000) render/html_css.c html_convert_css_callback 105: 5 fetches active

Fatal signal received: Segmentation fault

Stack backtrace:

Running thread 0x614aa8
  ( 61dee4) pc: 47842c lr: b86dc sp: 61dee8 __write_backtrace()
  ( 61df10) pc: b865c lr: 478c74 sp: 61df14 ^ro_gui_signal()
  ( 61df38) pc: 478c64 lr: 478a98 sp: 61df3c __unixlib_exec_sig()
  ( 61dfa0) pc: 478550 lr: 479278 sp: 61dfa4 __unixlib_raise_signal()
  ( 61dfb0) pc: 47917c lr: 363efc8 sp: 61e334 __h_cback()

  Register dump at 0061dfb4:

    a1: 11 a2: 50366c a3: 503804 a4: 11
    v1: 1e v2: 509b68 v3: 1b v4: 21
    v5: 0 v6: 11 sl: 61e218 fp: 601aec3c
    ip: 50a8c9 sp: 61e334 lr: 6f63efcb pc: 201af4c4
    Mode USR, flags set: nzCvif

  001af4b0 : ..P\E3 : e3500000 : CMP R0,#0
  001af4b4 : .... : 0a000003 : BEQ &001AF4C8
  001af4b8 : .0\90\E5 : e5903004 : LDR R3,[R0,#4]
  001af4bc : .\90\93\E5 : e5939008 : LDR R9,[R3,#8]
  001af4c0 : ..\A0\E1 : e1a00009 : MOV R0,R9
  001af4c4 : \F0\AA.\E9 : e91baaf0 : LDMDB R11,{R4-R7,R9,R11,R13,PC}
  001af4c8 : \D6.\A0\E3 : e3a07fd6 : MOV R7,#&0358 ; =856
  001af4cc : .p\87\E2 : e2877001 : ADD R7,R7,#1
  001af4d0 : .`\A0\E3 : e3a06000 : MOV R6,#0

Stack frame has gone out of bounds with address 601aec30
John-Mark Bell

~0000253

John-Mark Bell (administrator)

The LDMDB here is the exit from OBJ_obj2nid, which is buried in the depths of OpenSSL. Nothing in that function modifies R11 (FP) after the stack frame is set up in the function entry sequence. The UnixLib stack extension code also preserves R11, but replaces the previous frame pointer (stored at FP-4) with a new one, if it's allocated a new stack chunk.

Either way, there is precisely no way for R11 to have become corrupted in this way by the code in question.

Please provide a complete list of all the modules you have installed on your system, and any applications which you routinely run.
Richard Porter

~0000254

Richard Porter (reporter)

*modules
No. Position Workspace Name
  1 0382DF58 00000000 UtilityModule
  2 03840004 02100014 IRQ
  3 03845004 02100214 TimerManager
  4 03847004 02100284 Podule
  5 038AF004 02100D94 IIC
  6 038B2004 02100DB4 NVRAMHW
  7 03849004 02100DD4 Conversions
  8 0384A004 02100DE4 OSSWIs
  9 0384C004 02100E54 EvaluateExpression
 10 0384E004 02106384 SystemVars
 11 023CBDC4 021067F4 FPEmulator
 12 03858004 021068A4 SharedCLibrary
 13 0386F004 00000101 UnSqueezeAIF
 14 03870004 02108944 AppPatcher
 15 03873004 0210AB24 DiagnosticDump
 16 03879004 0210CBB4 CFrontDemangler
 17 0387D004 00000000 ReadLine
 18 0387E004 0210F184 CLIV
 19 03880004 02113FA4 VideoTTX
 20 03884004 02115034 VideoSW
 21 03889004 02119924 VideoHWVIDC
 22 03892004 00000001 VideoHWVF
 23 0389A004 0211A0D4 VideoGuard
 24 0389B004 0211B0E4 VideoServices
 25 0389F004 0211C054 OSCommands
 26 038A3004 0211CCC4 FSCommands
 27 038A5004 0211D204 ModuleCommands
 28 038A6004 0211D544 ARM
 29 038A7004 0211D594 BufferManager
 30 038A9004 0211D5C4 Debugger
 31 038AC004 0211D834 RTC
 32 038AD004 0211D854 DMAManager
 33 038B0004 0211D9B4 RTCAdjust
 34 038B1004 0211D9F4 RTCHW
 35 038B5004 0211DA04 OSPointer
 36 038B7004 0211DAD4 Hourglass
 37 038B8004 0211DC24 FileSwitch
 38 038C5004 0211ECE4 Squash
 39 038C7004 0211ED44 ResourceFS
 40 038C8004 0211EDC4 ResourceFiler
 41 038C9004 00000000 Messages
 42 039EE004 0211EE14 MessageTrans
 43 039F1004 02122394 FSLock
 44 039F3004 02122524 TerritoryManager
 45 039F5004 02122604 UK
 46 039F7004 02122774 International
 47 039FD004 021227C4 SerialDeviceDriver
 48 039FF004 02122824 SerialDeviceSupport
 49 03A00004 02122844 Mouse
 50 03A01004 02122874 SerialMouse
 51 03A02004 021228B4 PS2Driver
 52 03A04004 02122DF4 InternationalKeyboard
 53 03A0E004 02122E44 KeyInput
 54 03A10004 0232E184 FileCore%RAM
    03A10004 022F0C84 FileCore%SCSI
    03A10004 022D4FE4 FileCore%RMFS
    03A10004 022C7E64 FileCore%IDEFS
    03A10004 02126C74 FileCore%ADFS
    03A10004 00000000 FileCore%Base
 55 03A25004 02126754 ADFS
 56 03A2D004 021ADB74 ADFSFiler
 57 03A32004 021ADBB4 RamFS
 58 03A33004 021ADCA4 RAMFSFiler
 59 0248DE34 021B1FB4 DOSFS
 60 03A49004 021B30F4 SystemDevices
 61 03A4A004 021B3224 PipeFS
 62 03A4C004 021B3284 AIF
 63 03A4F004 021B46C4 TransientUtility
 64 03A51004 00000000 BASIC
 65 03A5F004 00000000 BASIC64
 66 03A6B004 021B6374 BASICTrans
 67 03A6C004 021B6394 Obey
 68 03A6D004 021B63D4 DDEUtils
 69 03A6F004 021B6CA4 PathUtils
 70 03A71004 021B7CF4 SysLog
 71 03A79004 021BB8C4 BootCommands
 72 03A7B004 00000000 GameModes
 73 03A7C004 021BCE44 ScreenModes
 74 03A7F004 021BE0B4 ScreenBlanker
 75 03A80004 021BE154 ScrSaver
 76 03A81004 021BF1C4 SoundDMA
 77 03A83004 021BFC54 SoundChannels
 78 03A85004 021C1E34 WaveSynth
 79 03A86004 021C2564 StringLib
 80 03A87004 021C2DA4 Percussion
 81 03A88004 021C36C4 SoundScheduler
 82 021C5714 021C9704 SharedSound
 83 03A8C004 021CB784 DeviceFS
 84 03A8F004 021CB8B4 ParallelDeviceDriver
 85 03A91004 02271EA4 ColourTrans
 86 03A97004 021CBB24 Draw
 87 03A9A004 021CC874 SpriteExtend
 88 03AB6004 021D6B84 ColourMap
 89 03AB7004 021D7C54 BlendTable
 90 03AB9004 021D8F14 InverseTable
 91 03ABA004 021D9334 DrawFile
 92 03AC3004 021DB354 FontMap
 93 03AC6004 021DC734 ZLib
 94 03AD3004 021DFF54 PNG
 95 03AEA004 00000000 ROMFonts
 96 03B36004 021E18F4 FontManager
 97 03B47004 00000000 SuperSample
 98 03B48004 021E28C4 ImageFileConvert
 99 03B4B004 021E3774 CompressJPEG
100 03B6A004 021E8994 ConvertPNG
101 03B72004 021EA0A4 ConvertBMP
102 03B76004 021EB5F4 ConvertGIF
103 03B7A004 021EC734 ConvertICO
104 03B7D004 021EDD54 ConvertPNM
105 03B7F004 021EF254 ConvertSprite
106 03B81004 021F06D4 ConvertSun
107 03B83004 021F17E4 ConvertXBM
108 03B85004 021F28E4 ConvertPCX
109 03B87004 00000000 ConvertClear
110 03B88004 021F3A94 ImageFileRender
111 03B8C004 021F5284 ImageFileRender_Artworks
112 03B8E004 021F64D4 Zipper
113 03B95004 00000000 PrinterBuffer
114 023F0524 02202474 PDriver
115 03B9F004 022026E4 PDumperSupport
116 03BA3004 02203814 PDumper24
117 03BA5004 02203C14 PDumperCX
118 03BA7004 02204024 PDumperDM
119 03BA9004 02204424 PDumperE2
120 03BAB004 02204824 PDumperIW
121 03BAD004 02204C24 PDumperLJ
122 03BAF004 02205034 PDriverPS
123 03BB8004 02206A44 MakePSFont
124 03BBD004 02207EB4 RemotePrinterSupport
125 03BBF004 00000000 RemotePrinterMessages
126 03BC0004 18400014 WindowManager
127 03BE1004 021E27B4 FilterManager
128 03BE3004 02209F44 RedrawManager
129 03BE5004 021E2504 Desktop
130 03BE7004 0220B0C4 IconBorderPlain
131 03BE8004 0220C184 IconBorderRound
132 03BF1004 021E26F4 TaskManager
133 03BF6004 00000000 ShellCLI
134 03BF7004 021E26E4 DisplayManager
135 03BFA004 0220E4E4 DragASprite
136 03BFC004 00000000 DragAnObject
137 03BFD004 021E2894 Filer
138 03C0F004 0220E644 FilerSWIs
139 03C10004 00000000 Filer_Action
140 03C21004 0220E764 Free
141 03C23004 0220F0C4 Pinboard
142 03C2A004 0220FCA4 ClipboardHolder
143 03C2C004 02210D34 WindowScroll
144 03C2E004 02211EA4 ColourPicker
145 03C49004 02217F44 TaskWindow
146 03C5E004 0221A2D4 NetStatus
147 03C65004 0221A5E4 MbufManager
148 03C90004 0221FEA4 InetServices
149 03C93004 02222664 Resolver
150 03C9D004 02224E44 MimeMap
151 03CA0004 02226A64 InternetTime
152 03CA5004 02227D44 InetConfigure
153 03CA7004 022294F4 DHCPClient
154 03CAD004 0222B3B4 ZeroConf
155 03CB0004 0222C564 RouterDiscovery
156 03CB9004 0222F5C4 FreewayHosts
157 03CCF004 02235404 LanManFS
158 03CE9004 0223D244 AppleTalk
159 03D00004 02240144 TinyStubs
160 03D02004 02241374 Toolbox
161 03D09004 02242814 Window
162 03D1E004 022444E4 Menu
163 03D23004 02245794 Iconbar
164 03D26004 02246A24 ColourDbox
165 03D2A004 02247D24 ColourMenu
166 03D2E004 02249184 DCS
167 03D31004 0224A464 FileInfo
168 03D34004 0224B834 FontDbox
169 03D39004 0224CD84 FontMenu
170 03D3C004 0224E184 PrintDbox
171 03D41004 0224F574 ProgInfo
172 03D45004 02250834 SaveAs
173 03D4A004 02251C14 Scale
174 03D4D004 02252E94 GDivider
175 03D4E004 02253EA4 ToolAction
176 03D50004 02254EE4 TextGadgets
177 03D62004 02256704 ImageFileGadget
178 03D6C004 02258764 CDFSSoftATAPI
179 03D74004 02259C14 LegacyBBC
180 03D75004 0225A024 LegacyScreen
181 03D76004 02209944 BBCEconet
182 03D77004 02209914 SpriteUtils
183 03D78004 00000000 OwnerBanner
184 03D79004 00000000 IRQUtils
185 03D7A004 00000000 WindowUtils
186 03D7B004 00000000 CallASWI
187 03D7E004 00000000 !Alarm
188 03D8A004 0225B2C4 LibraryHelp
189 0225B014 033C0000 Calligraph_LZR855_Card
190 0225C144 02264AB4 LaserSupport
191 022691A4 0226F3A4 VideoHWVpod
192 02283718 00000000 USBWimpTask
193 02279564 02277E94 USB
194 0228C5F4 022766F4 USBHub
195 0229C924 022744A4 USBISP1161
196 02273DE4 00000000 USBISP1161Support
197 02283FD4 0228B594 USBLib
198 022AC564 0228A184 USB_HIDInput
199 022B5494 022AB354 USBJoystick
200 022B88C4 022AA154 USBJoystickGeneric
201 022BBD74 022A8C84 USBPrinter
202 022C38A4 02289780 IDEFS
203 022C1044 022A8594 IDEFSFiler
204 022D1414 022A7C60 CDFSSoftATAPISimtec
205 022A7AC4 00000000 RMFSLS120
206 022A7704 00000000 RMFSZip
207 022D3794 022C0BD4 RMFS
208 022E0394 00000000 RMFSFormatter
209 022E3DA4 00000000 RMFSResources
210 022E7C04 022E2984 RMFSFiler
211 022E9D64 02272FE4 IDEFSSimtecSupport
212 022ECD94 00000000 IDEFSFilerResources
213 022F4EE4 022F3A64 EtherX
214 022A7514 02113EB4 SCSILog
215 022FF314 022F2DA4 SCSIDriver
216 022F1A34 021B6324 SCSIFS
217 02302724 02345994 SCSIFiler
218 03D68004 00000000 CDFSResources
219 03D6A004 02257B24 CDFSdriver
220 03A34004 021ADD44 CDFS
221 03A39004 021B0C94 CDFSFiler
222 03D6F004 02209B24 CDFSSoftChinonEESOX
223 03D71004 02259464 CDFSSoftPhilipsEESOX
224 03D70004 022591D4 CDFSSoftHitachiEESOX
225 03D72004 02259734 CDFSSoftSonyEESOX
226 03D73004 022599A4 CDFSSoftToshibaEESOX
227 02308704 022EFA74 EtherH
228 02307D54 0211CC94 CMOSLock
229 03D7D004 00000000 AUNMsgs
230 03C68004 0221A8E4 Internet
231 03D7C004 00000000 BootNet
232 03CB4004 0222E264 Freeway
233 03CBA004 02230A14 ShareFS
234 023195A4 0231ADD4 LegacyExec
235 0231BC64 0231D7E4 BootLog
236 0231E684 023201D4 ErrorLog
237 02321FC4 02326C84 ROMPatch
238 0233F3E4 02218344 WimpSWIVe
239 0232C884 02232FF4 SmartMenu
240 023686F4 02233DF4 SharedUnixLibrary
241 0236B814 023711E4 VProtect
242 02378F84 0237CC84 SafeStore
243 0240E484 02381EA4 AcornURI
244 023884A4 2BE35000 PCASupport
245 02391F14 00000000 SCM
246 0239A634 023B5804 LanMan98
247 023C3B24 023C0424 MassFS
248 023D34D4 023EDA34 PDriverPS3
249 02400B84 022005F4 LQEmulator
250 023CB4F4 021BE134 SocketWatch
251 024198C4 02426164 SpellCheck
252 0242A024 02441754 Speak
253 0248CAA4 024188B4 Log
254 0249BA04 024A2924 DitherExtend
255 024A32B4 024BAB94 ArtworksRenderer
256 024C66A4 02383594 GSpriteExtend
257 024CD534 024D7344 GDraw
258 025175B4 0251A314 SpecialFX
259 0238F514 00000000 StopCaps
260 0249A634 023BFA94 VTiInternet
261 0251CAE4 0251F024 MessengerUtils
262 025202B4 025285D4 FTPs
263 0252A844 02530CA4 Tinct
264 02544554 02554824 Iconv
265 025581E4 0255BED4 CryptRandom
*

Applications normally running include
Organizer
CallerID
Gamma
Edit
AntiSpam
SpamStamp
POPstar
NewsHound
Messenger Pro
WebJames
FTPs
MenuBar
SafeStore

Sometimes running:
Paint
Draw
DPlngScan
PhotoDesk
SiteMatch
Publisher
Squirrel
Schema 2
FTPc

SparkFS
LanMan98 (stand-alone)
IDEFS
Michael Drake

~0000530

Michael Drake (administrator)

We believe this is fixed, since we sorted out the certificate inspection handling.
Vincent Sanders

~0000755

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-02-26 17:32 Richard Porter New Issue
2014-02-26 17:32 Richard Porter File Added: nslog281.zip
2014-02-27 00:03 Vincent Sanders Note Added: 0000252
2014-02-27 00:03 Vincent Sanders Status new => acknowledged
2014-02-27 00:03 Vincent Sanders Product Version => 3.1
2014-02-27 01:13 John-Mark Bell Note Added: 0000253
2014-02-27 01:13 John-Mark Bell Status acknowledged => feedback
2014-02-27 09:40 Richard Porter Note Added: 0000254
2014-02-27 09:40 Richard Porter Status feedback => new
2014-02-28 21:01 Vincent Sanders Assigned To => John-Mark Bell
2014-02-28 21:01 Vincent Sanders Status new => acknowledged
2014-04-12 16:30 Vincent Sanders Category RISC OS-specific => ABEND
2014-11-15 10:52 Michael Drake Note Added: 0000530
2014-11-15 10:52 Michael Drake Status acknowledged => resolved
2014-11-15 10:52 Michael Drake Resolution open => fixed
2014-11-15 10:52 Michael Drake Fixed in Version => 3.3
2015-03-10 23:43 Vincent Sanders Note Added: 0000755
2015-03-10 23:43 Vincent Sanders Status resolved => closed
+Issue History